Welcome, Guest
Username Password: Remember me
  • Page:
  • 1
  • 2

TOPIC: [Solved] Lightworks 14 on Debian Stretch 9

[Solved] Lightworks 14 on Debian Stretch 9 1 year, 3 months ago #153086

  • Miyagi
  • OFFLINE
  • Fresh Boarder
  • Posts: 8
  • 1 year, 3 months ago
Hi guys;

I'm looking to install LW14 on my new Debian Stretch system, any idea out there? Missing dependencies are still there... As usual

Thanks in advance
Last Edit: 1 year, 2 months ago by Miyagi.

Re: Lightworks 14 on Debian Stretch 9 1 year, 3 months ago #153090

  • hugly
  • OFFLINE
  • Platinum Boarder
  • Posts: 16098
  • 1 year, 3 months ago
What do the people on Debian Stretch forum say about the issue?

Manjaro, for example, is also a Linux distro not officially supprted by Lightworks, but the package maintainer does a good job to keep it running.
It's better to travel well than to arrive...

Re: Lightworks 14 on Debian Stretch 9 1 year, 2 months ago #154764

  • Miyagi
  • OFFLINE
  • Fresh Boarder
  • Posts: 8
  • 1 year, 2 months ago
Well, Lightworks 14 is finally working on my Debian 9. I haven't tested too much but apparently it's working.

1.- Download and install libjpeg8 deb package from here:

2.- Download and install libssl1.0.0 deb package from here:

Now we have to downgrade Portaudio, perfectly explained here.

But those links are death. You can download them from here:
libportaudio2
libportaudiocpp0

I hope it works for you!
Thanks a lot to @w84death for explaining how to downgrade Portaudio.

Cheers!
Last Edit: 1 year, 2 months ago by Miyagi.

Re: Lightworks 14 on Debian Stretch 9 1 year, 2 months ago #154780

  • hugly
  • OFFLINE
  • Platinum Boarder
  • Posts: 16098
  • 1 year, 2 months ago
Thank you for pointing out that the links posted in the other discussion are no longer valid and linking to the new ones.
It's better to travel well than to arrive...

Re: [Solved] Lightworks 14 on Debian Stretch 9 6 months, 2 weeks ago #176270

  • kublaykan
  • OFFLINE
  • Fresh Boarder
  • Posts: 2
  • 6 months, 2 weeks ago
Hello,

I'm almost doing with Lightworks 14 in debian 9 stretch, but:

I could install it and all it's dependencies.

But when I try to run it:


Firs, I got an error that could resolve using this site. I tried to find the GTK 3.0 package but I isn't in strech main repositories, so I installed the GTK 2.0.

duguls.wordpress.com/2012/01/01/gtk-warning-imposible-encontrar-el-motor-de-temas-en-la-ruta-al-_modulo-pixmap/


In response Lightworks dind 't showed this error, but still it is getting this error:


GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Falló en GConf: El demonio de D-Bus no está en ejecución


If I enter this command:

apt-cache show lightworks

It shows:


Package: lightworks
Status: install ok installed
Priority: optional
Section: video
Installed-Size: 305568
Maintainer: EditShare < This e-mail address is being protected from spambots. You need JavaScript enabled to view it >
Architecture: amd64
Version: 14.0.0.0
Depends: libc6 (>= 2.17), libcairo2 (>= 1.10.0), libgcc1 (>= 1:4.1.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libgl1-mesa-glx | libgl1, libglib2.0-0 (>= 2.22.0), libglu1-mesa | libglu1, libgtk-3-0 (>= 3.0.0), libjpeg8 (>= 8c), libpango1.0-0 (>= 1.18.0), libstdc++6 (>= 4.6), nvidia-cg-toolkit, libportaudio2, libportaudiocpp0, libtiff5, libuuid1, libssl1.0.0, libcurl3
Description: Hollywood-strength editing for everyone
Lightworks is the fastest, most accessible and focused NLE in the industry,
because it is based on the simple idea that the editor, not the computer
industry, knows what’s best. The latest release of Lightworks is based on
the cumulative knowledge from twenty years of top-flight editing.
Description-md5: 5b254fe0319fb346a0e4f938eb7f045e
Homepage: www.lwks.com



I appreciate any help

Re: [Solved] Lightworks 14 on Debian Stretch 9 6 months, 2 weeks ago #176277

  • hugly
  • OFFLINE
  • Platinum Boarder
  • Posts: 16098
  • 6 months, 2 weeks ago
Hello,

Please install most recent V14.5 beta and see if it fixes the problem. You'll find it under Downloads on top of this page.
It's better to travel well than to arrive...

Re: [Solved] Lightworks 14 on Debian Stretch 9 5 months, 2 weeks ago #178117

  • dkishchukov
  • OFFLINE
  • Fresh Boarder
  • Posts: 1
  • 5 months, 2 weeks ago
It does not work anyway

Re: [Solved] Lightworks 14 on Debian Stretch 9 5 months, 2 weeks ago #178118

  • briandrys
  • Moderator
    Pro User
  • OFFLINE
  • Moderator
  • Posts: 7201
  • 5 months, 2 weeks ago
What error messages are you getting with V14.5? If you can provide these, I'll move your messages to the V14.5 beta forum, where the developers can quickly spot it.

Re: [Solved] Lightworks 14 on Debian Stretch 9 5 months, 2 weeks ago #178187

  • kublaykan
  • OFFLINE
  • Fresh Boarder
  • Posts: 2
  • 5 months, 2 weeks ago
Hi, tejanos a los For your Help. Final y I could install beta versión Of 14.5 and running without a y problem in debían 9.

I'll be testigo it with a vídeo editing task and share my experiences.

Thanks

Re: [Solved] Lightworks 14 on Debian Stretch 9 1 month, 2 weeks ago #185302

  • Yuka.Cachaca
  • OFFLINE
  • Fresh Boarder
  • Posts: 5
  • 1 month, 2 weeks ago
Hi,
Just tried to install the .deb package... First the stable, without success... Then the testing version as told in this topic and I still have troubles:
lightworks : Depends: libjpeg8 (>= 8c) pero no es instalable (is not installable)
Depends: nvidia-cg-toolkit pero no va a instalarse (will not be instaled)
Depends: libssl1.0.0 pero no es instalable (is not installable)

In debian stretch it seems that libjpeg8 is no more used, think it has been replaced by
libjpeg62-turbo.... And libssl1.0.0 is now replaced by Package libssl1.0.2
It seems that nvidia-cg-toolkit is installable....

Do you have any idea ??


I also tried with the rpm package using alien to convert it to .deb
The installation seemed successfull but launching it by clicking on its icon doesn't work... And launching it in a Terminal returns me:

/usr/lib/lightworks/ntcardvt: error while loading shared libraries: libCg.so: cannot open shared object file: No such file or directory
Last Edit: 1 month, 2 weeks ago by Yuka.Cachaca. Reason: Something to add about the rpm package

Re: [Solved] Lightworks 14 on Debian Stretch 9 3 weeks, 5 days ago #186699

  • Yuka.Cachaca
  • OFFLINE
  • Fresh Boarder
  • Posts: 5
  • 3 weeks, 5 days ago
Hello, I tried the new version...
Under Debian Stretch, there are still two dependencies broken, libjpeg8 and
libssl1.0.0

Stretch will not install or use them cause libjpeg8 and libssl1.0.0 are not used anymore and are replaced if I'm not in mistake by libjpeg62-turbo and libssl1.0.2

Someone has an idea how I can manage lightworks working ?!

Re: [Solved] Lightworks 14 on Debian Stretch 9 3 weeks, 5 days ago #186703

  • hugly
  • OFFLINE
  • Platinum Boarder
  • Posts: 16098
  • 3 weeks, 5 days ago
As you probably know Debian Stretch is not on the list of supported distros.

I wonder how the Debian Stretch guys would answer your question? Lightworks who, Lightworks what, we don't care much about this software, maybe?
It's better to travel well than to arrive...

Re: [Solved] Lightworks 14 on Debian Stretch 9 3 weeks, 5 days ago #186704

  • Yuka.Cachaca
  • OFFLINE
  • Fresh Boarder
  • Posts: 5
  • 3 weeks, 5 days ago
As far as I know, Debian developers prefer security where Ubuntu looks to be sexy to users...
In this case, what surprises me, is that packages Lightworks needs as dependencies seem to be older than those used by the actual stable debian release....
And Ubuntu is a "Debian based" linux distro...
And Ubuntu seems to be in the list of supported distros by lightworks...
".deb" packages are for Debian

Thanx for your answer Hugly...
I'll ask debian's side and give feed back here..

Re: [Solved] Lightworks 14 on Debian Stretch 9 3 weeks, 5 days ago #186705

  • hugly
  • OFFLINE
  • Platinum Boarder
  • Posts: 16098
  • 3 weeks, 5 days ago
Yuka.Cachaca wrote:
I'll ask debian's side and give feed back here..

That's a good step into the right direction. There must be some kind of dialogue during beta phase (and it was surely long enough this time). If the guys don't test with Lightworks, the problem for Debian Stretch users will continue, I suspect.
It's better to travel well than to arrive...

Re: [Solved] Lightworks 14.5 on Debian Stretch 9 3 weeks, 5 days ago #186707

  • Yuka.Cachaca
  • OFFLINE
  • Fresh Boarder
  • Posts: 5
  • 3 weeks, 5 days ago
I always thought that a software project aims to match to a distribution, not the inverse...

If Lightworks develops a .deb for Debian Based distros (Page 6 of this document says: "Installing on Debian-Based Linux Distributions")

I ask myself what does mean a Debian-Based Linux distribution ?
  • Page:
  • 1
  • 2
Time to create page: 0.36 seconds
Scroll To Top